> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Validate Code Scorer Task Result

> Poll for a code-scorer validation task result (returns status/result).

The validation job creates an entry in `registered_scorer_task_results` (pending) and the runner
will PATCH the internal task-results endpoint when it finishes. This GET allows clients to poll
the current task result.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/scorers/code/validate/{task_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/code/validate/{task_id}:
    get:
      tags:
        - data
        - prompts
        - rows
      summary: Get Validate Code Scorer Task Result
      description: >-
        Poll for a code-scorer validation task result (returns status/result).


        The validation job creates an entry in `registered_scorer_task_results`
        (pending) and the runner

        will PATCH the internal task-results endpoint when it finishes. This GET
        allows clients to poll

        the current task result.
      operationId: >-
        get_validate_code_scorer_task_result_v2_scorers_code_validate__task_id__get
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisteredScorerTaskResultResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    RegisteredScorerTaskResultResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        status:
          $ref: '#/components/schemas/TaskResultStatus'
        result:
          anyOf:
            - $ref: '#/components/schemas/ValidateRegisteredScorerResult'
            - type: string
            - type: 'null'
          title: Result
      type: object
      required:
        - id
        - created_at
        - updated_at
        - status
      title: RegisteredScorerTaskResultResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskResultStatus:
      type: string
      enum:
        - pending
        - started
        - completed
        - failed
      title: TaskResultStatus
    ValidateRegisteredScorerResult:
      properties:
        result:
          anyOf:
            - $ref: '#/components/schemas/ValidResult'
            - $ref: '#/components/schemas/InvalidResult'
          title: Result
      type: object
      required:
        - result
      title: ValidateRegisteredScorerResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ValidResult:
      properties:
        result_type:
          type: string
          const: valid
          title: Result Type
          default: valid
        score_type:
          type: string
          title: Score Type
        scoreable_node_types:
          items:
            $ref: '#/components/schemas/NodeType'
          type: array
          title: Scoreable Node Types
        include_llm_credentials:
          type: boolean
          title: Include Llm Credentials
          default: false
        chain_aggregation:
          anyOf:
            - $ref: '#/components/schemas/ChainAggregationStrategy'
            - type: 'null'
        test_scores:
          items:
            $ref: '#/components/schemas/TestScore'
          type: array
          title: Test Scores
      type: object
      required:
        - score_type
        - scoreable_node_types
        - test_scores
      title: ValidResult
    InvalidResult:
      properties:
        result_type:
          type: string
          const: invalid
          title: Result Type
          default: invalid
        error_message:
          type: string
          title: Error Message
      type: object
      required:
        - error_message
      title: InvalidResult
    NodeType:
      type: string
      enum:
        - chain
        - chat
        - llm
        - retriever
        - tool
        - agent
        - workflow
        - trace
        - session
      title: NodeType
    ChainAggregationStrategy:
      type: string
      enum:
        - sum
        - average
        - first
        - last
      title: ChainAggregationStrategy
    TestScore:
      properties:
        node_type:
          $ref: '#/components/schemas/NodeType'
        score:
          anyOf:
            - type: number
            - type: integer
            - type: string
            - type: boolean
            - type: 'null'
          title: Score
      type: object
      required:
        - node_type
      title: TestScore
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````